Skip to main content
POST
/
v1
/
tables
/
{table}
/
rows
cURL
curl --request POST \
  --url https://api.botpress.cloud/v1/tables/{table}/rows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-bot-id: <x-bot-id>' \
  --data '
{
  "rows": [
    {}
  ],
  "waitComputed": true
}
'
import requests

url = "https://api.botpress.cloud/v1/tables/{table}/rows"

payload = {
    "rows": [{}],
    "waitComputed": True
}
headers = {
    "x-bot-id": "<x-bot-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-bot-id': '<x-bot-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({rows: [{}], waitComputed: true})
};

fetch('https://api.botpress.cloud/v1/tables/{table}/rows', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "rows": [
    {
      "id": 123,
      "computed": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "stale": [
        "<string>"
      ],
      "similarity": 123
    }
  ],
  "warnings": [
    "<string>"
  ],
  "errors": [
    "<string>"
  ]
}
{
  "rows": [
    {
      "id": 123,
      "computed": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "stale": [
        "<string>"
      ],
      "similarity": 123
    }
  ],
  "warnings": [
    "<string>"
  ],
  "errors": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

x-integration-name
string

Integration name

x-user-id
string

User Id

x-user-role
string

User Role

Path Parameters

table
string
required

The table's name or unique identifier for targeting specific table operations.

Body

application/json

A batch of new rows to insert into the table. Each row must adhere to the table’s schema. A maximum of 1000 rows can be inserted in a single request.

rows
object[]
required
Required array length: 1 - 1000 elements
waitComputed
boolean

Ensure computed columns are fully processed before returning the result. This is applicable only when the number of rows involved is fewer than 1.

Response

A summary of the insertion operation, including any warnings or errors encountered, and the inserted row data.

rows
object[]
required
warnings
string[]

Alerts for minor issues that don't block the operation but suggest possible improvements.

errors
string[]

Critical issues in specific elements that prevent their successful processing, allowing partial operation success.